Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 867094 - app-text/poppler-22.09.0 and media-gfx/inkscape-1.2.1-r2 stabilisation
Summary: app-text/poppler-22.09.0 and media-gfx/inkscape-1.2.1-r2 stabilisation
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords: CC-ARCHES, SECURITY, STABLEREQ
Depends on:
Blocks: CVE-2021-30860, CVE-2022-38784
  Show dependency tree
 
Reported: 2022-08-28 14:01 UTC by Andreas Sturmlechner
Modified: 2022-10-22 14:54 UTC (History)
14 users (show)

See Also:
Package list:
app-text/poppler-22.09.0 media-gfx/inkscape-1.2.1-r2 amd64 ppc ppc64 x86 dev-python/cachecontrol-0.12.11 amd64 ppc ppc64 x86 dev-python/msgpack-1.0.4 amd64 ppc ppc64 x86 dev-python/cherrypy-18.8.0 amd64 ppc ppc64 x86 dev-python/cheroot-8.6.0-r1 amd64 ppc ppc64 x86 dev-python/jaraco-collections-3.5.2 amd64 ppc ppc64 x86 dev-python/objgraph-3.5.0-r1 amd64 ppc ppc64 x86 dev-python/pytest-services-2.2.1-r1 amd64 ppc ppc64 x86 dev-python/routes-2.5.1-r2 amd64 ppc ppc64 x86 dev-python/zc-lockfile-2.0-r1 amd64 ppc ppc64 x86 media-gfx/xdot-1.2 amd64 ppc ppc64 x86 dev-python/pylibmc-1.6.3 amd64 ppc ppc64 x86 dev-python/repoze-lru-0.7-r3 amd64 ppc ppc64 x86
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2022-08-28 14:01:20 UTC
In preparation.
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-09-02 02:35:57 UTC
We'll likely retarget for poppler-22.09.0 for bug 867958.
Comment 2 Andreas Sturmlechner gentoo-dev 2022-09-02 10:09:02 UTC
Definitely.
Comment 3 NATTkA bot gentoo-dev 2022-09-02 20:16:22 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2022-09-02 21:08:26 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2022-09-03 04:28:20 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2022-09-03 04:40:27 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2022-09-03 16:44:27 UTC Comment hidden (obsolete)
Comment 8 NATTkA bot gentoo-dev 2022-09-07 02:00:25 UTC Comment hidden (obsolete)
Comment 9 NATTkA bot gentoo-dev 2022-09-07 02:13:36 UTC Comment hidden (obsolete)
Comment 10 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-09-08 05:33:10 UTC
Should be good to go (pkgs are ready from my perspective as well). Please proceed when happy.
Comment 11 NATTkA bot gentoo-dev 2022-09-08 05:36:30 UTC Comment hidden (obsolete)
Comment 12 Andreas Sturmlechner gentoo-dev 2022-09-08 19:08:10 UTC
(In reply to Sam James from comment #10)
> Should be good to go (pkgs are ready from my perspective as well). Please
> proceed when happy.
No objections from me, but can you complete package list? ;)

There is no libreoffice-bin-7.3.5.2 yet, but its stable version does not necessarily have to align *imo*.
Comment 13 Andreas Sturmlechner gentoo-dev 2022-09-08 19:09:42 UTC
...except that stable users would not be able to upgrade to media-libs/zxing-cpp-1.4.0 then.
Comment 14 NATTkA bot gentoo-dev 2022-09-09 03:08:34 UTC Comment hidden (obsolete)
Comment 15 NATTkA bot gentoo-dev 2022-09-09 08:48:32 UTC Comment hidden (obsolete)
Comment 16 NATTkA bot gentoo-dev 2022-09-09 08:56:32 UTC Comment hidden (obsolete)
Comment 17 NATTkA bot gentoo-dev 2022-09-09 09:00:38 UTC Comment hidden (obsolete)
Comment 18 Andreas Sturmlechner gentoo-dev 2022-09-09 09:07:27 UTC
CCing Matt for media-gfx/xdot.
Comment 19 Jakov Smolić archtester gentoo-dev 2022-09-14 15:17:53 UTC Comment hidden (obsolete)
Comment 20 Matt Turner gentoo-dev 2022-09-14 15:22:27 UTC
(In reply to Andreas Sturmlechner from comment #18)
> CCing Matt for media-gfx/xdot.

I'm sorry I missed this. Feel free to stabilize.
Comment 21 Arthur Zamarin archtester gentoo-dev 2022-09-14 19:17:48 UTC
sparc done
Comment 22 Arthur Zamarin archtester gentoo-dev 2022-09-14 19:17:49 UTC
arm done
Comment 23 Agostino Sarubbo gentoo-dev 2022-09-15 15:11:55 UTC
amd64 done
Comment 24 Agostino Sarubbo gentoo-dev 2022-09-16 06:52:46 UTC
x86 done
Comment 25 Arthur Zamarin archtester gentoo-dev 2022-09-16 19:18:18 UTC
hppa done
Comment 26 Andreas Sturmlechner gentoo-dev 2022-09-29 14:43:30 UTC
Dropping LO and deps in favor of the upcoming version stabilisation in case this was a pill too big to swallow for arm64.
Comment 27 NATTkA bot gentoo-dev 2022-10-09 06:56:17 UTC Comment hidden (obsolete)
Comment 28 Andreas Sturmlechner gentoo-dev 2022-10-09 06:58:03 UTC
security stabilisation being lapped by old package cleanup...
Comment 29 NATTkA bot gentoo-dev 2022-10-09 07:00:35 UTC
All sanity-check issues have been resolved
Comment 30 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-10-12 19:26:27 UTC
arm64 done
Comment 31 ernsteiswuerfel archtester 2022-10-20 20:53:18 UTC
Looking good on ppc.

inkscape fails tests (bug #877589).

 # cat poppler-867094.report 
USE tests started on Do 20. Okt 19:43:00 CEST 2022

FEATURES=' test' USE='' succeeded for =app-text/poppler-22.09.0
USE='-boost cairo -cjk curl -cxx doc -introspection -jpeg jpeg2k -lcms nss -png -qt5 -tiff -utils -verify-sig' succeeded for =app-text/poppler-22.09.0
USE='boost -cairo cjk -curl cxx doc -introspection -jpeg -jpeg2k lcms -nss -png -qt5 -tiff utils -verify-sig' succeeded for =app-text/poppler-22.09.0
USE='-boost -cairo -cjk curl -cxx doc -introspection jpeg -jpeg2k -lcms -nss png -qt5 -tiff utils -verify-sig' succeeded for =app-text/poppler-22.09.0
USE='-boost -cairo -cjk -curl -cxx -doc introspection -jpeg jpeg2k lcms -nss -png qt5 -tiff utils -verify-sig' succeeded for =app-text/poppler-22.09.0
USE='boost -cairo cjk curl cxx -doc introspection jpeg -jpeg2k lcms nss png qt5 tiff utils -verify-sig' succeeded for =app-text/poppler-22.09.0
USE='-boost cairo cjk -curl cxx doc -introspection jpeg jpeg2k -lcms nss png qt5 -tiff -utils verify-sig' succeeded for =app-text/poppler-22.09.0
USE='boost -cairo cjk curl cxx doc -introspection jpeg -jpeg2k -lcms -nss -png -qt5 tiff -utils verify-sig' succeeded for =app-text/poppler-22.09.0
USE='boost -cairo cjk curl -cxx -doc introspection -jpeg jpeg2k -lcms nss -png -qt5 tiff -utils verify-sig' succeeded for =app-text/poppler-22.09.0
USE='-boost -cairo -cjk -curl cxx doc introspection jpeg jpeg2k -lcms nss -png -qt5 tiff -utils verify-sig' succeeded for =app-text/poppler-22.09.0
USE='boost -cairo cjk curl -cxx doc -introspection -jpeg -jpeg2k lcms nss -png -qt5 -tiff utils verify-sig' succeeded for =app-text/poppler-22.09.0
USE='boost cairo -cjk curl -cxx -doc introspection jpeg jpeg2k lcms -nss png qt5 tiff utils verify-sig' succeeded for =app-text/poppler-22.09.0
USE='boost -cairo -cjk curl cxx doc -introspection -jpeg -jpeg2k -lcms nss png qt5 tiff utils verify-sig' succeeded for =app-text/poppler-22.09.0

 FEATURES=' test' failed for =media-gfx/inkscape-1.2.1-r2

FEATURES=' test' USE='' succeeded for =dev-python/cachecontrol-0.12.11

revdep tests started on Do 20. Okt 21:06:59 CEST 2022

FEATURES=' test' USE='' succeeded for app-office/scribus
FEATURES=' test' USE='' succeeded for net-print/cups-filters
FEATURES=' test' USE='svg' succeeded for dev-tex/latex2html
FEATURES=' test' USE='sane_backends_escl' succeeded for media-gfx/sane-backends
FEATURES=' test' USE='pdf' succeeded for sci-libs/gdal
FEATURES=' test' USE='pdf cairo' succeeded for media-gfx/graphviz
FEATURES=' test' USE='' succeeded for media-gfx/fbida
FEATURES=' test' USE='pdf' succeeded for mail-client/claws-mail
FEATURES=' test' USE='inkscape' succeeded for app-text/dblatex
USE='python_single_target_python3_10' FEATURES=' test' failed for media-gfx/inkscape
Comment 32 Larry the Git Cow gentoo-dev 2022-10-21 07:20:43 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cde2fdcc48d28112cd88395addd7f41d85e2d272

commit cde2fdcc48d28112cd88395addd7f41d85e2d272
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2022-10-21 07:11:59 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-10-21 07:17:53 +0000

    app-text/poppler: stabilize 22.09.0 for ppc
    
    Tested-by: ernsteiswuerfel <erhard_f@mailbox.org>
    Bug: https://bugs.gentoo.org/867094
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-text/poppler/poppler-22.09.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 33 Larry the Git Cow gentoo-dev 2022-10-21 16:38:25 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49b1fb9967b166d4e929d7950d83fd86923f231b

commit 49b1fb9967b166d4e929d7950d83fd86923f231b
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2022-10-21 14:27:58 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-10-21 16:38:08 +0000

    media-gfx/inkscape: stabilize 1.2.1-r2 for ppc
    
    Tested-by: ernsteiswuerfel <erhard_f@mailbox.org>
    Bug: https://bugs.gentoo.org/867094
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-gfx/inkscape/inkscape-1.2.1-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ec75f6e3d38c9cc0cdf28db9322714e290d8c4e

commit 1ec75f6e3d38c9cc0cdf28db9322714e290d8c4e
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2022-10-21 14:24:13 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-10-21 16:38:05 +0000

    dev-python/cachecontrol: stabilize 0.12.11 for ppc
    
    Tested-by: ernsteiswuerfel <erhard_f@mailbox.org>
    Bug: https://bugs.gentoo.org/867094
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-python/cachecontrol/cachecontrol-0.12.11.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 34 ernsteiswuerfel archtester 2022-10-22 13:38:36 UTC
Looking good on ppc64.

inkscape fails tests (bug #877589).

 # cat poppler-867094.report 
USE tests started on Sa 22. Okt 11:48:36 CEST 2022

FEATURES=' test' USE='' succeeded for =app-text/poppler-22.09.0
USE='-boost -cairo cjk -curl -cxx -doc introspection -jpeg jpeg2k -lcms nss png qt5 -tiff -utils -verify-sig' succeeded for =app-text/poppler-22.09.0
USE='boost -cairo -cjk curl cxx doc introspection jpeg jpeg2k -lcms nss -png -qt5 tiff -utils -verify-sig' succeeded for =app-text/poppler-22.09.0
USE='-boost cairo -cjk -curl cxx -doc introspection jpeg jpeg2k lcms -nss -png qt5 tiff -utils -verify-sig' succeeded for =app-text/poppler-22.09.0
USE='-boost -cairo cjk curl cxx -doc -introspection jpeg jpeg2k -lcms -nss -png -qt5 -tiff utils -verify-sig' succeeded for =app-text/poppler-22.09.0
USE='-boost cairo cjk curl -cxx -doc introspection -jpeg jpeg2k -lcms -nss png qt5 -tiff utils -verify-sig' succeeded for =app-text/poppler-22.09.0
USE='boost cairo -cjk -curl cxx -doc -introspection -jpeg -jpeg2k lcms nss -png qt5 tiff utils -verify-sig' succeeded for =app-text/poppler-22.09.0
USE='boost cairo cjk curl -cxx doc -introspection -jpeg jpeg2k lcms nss png qt5 tiff utils -verify-sig' succeeded for =app-text/poppler-22.09.0
USE='boost -cairo -cjk curl cxx -doc introspection -jpeg jpeg2k -lcms nss png qt5 -tiff -utils verify-sig' succeeded for =app-text/poppler-22.09.0
USE='boost -cairo cjk curl cxx -doc introspection jpeg jpeg2k lcms -nss -png qt5 tiff -utils verify-sig' succeeded for =app-text/poppler-22.09.0
USE='boost cairo cjk -curl -cxx -doc -introspection jpeg -jpeg2k -lcms nss png qt5 tiff -utils verify-sig' succeeded for =app-text/poppler-22.09.0
USE='-boost -cairo -cjk curl -cxx -doc -introspection -jpeg jpeg2k -lcms nss png -qt5 tiff utils verify-sig' succeeded for =app-text/poppler-22.09.0
USE='-boost -cairo -cjk curl cxx -doc introspection -jpeg jpeg2k lcms nss png -qt5 tiff utils verify-sig' succeeded for =app-text/poppler-22.09.0

 FEATURES=' test' failed for =media-gfx/inkscape-1.2.1-r2

FEATURES=' test' USE='' succeeded for =dev-python/cachecontrol-0.12.11

FEATURES=' test' USE='' succeeded for =dev-python/msgpack-1.0.4

FEATURES=' test' USE='' succeeded for =dev-python/cherrypy-18.8.0

FEATURES=' test' USE='' succeeded for =dev-python/cheroot-8.6.0-r1

FEATURES=' test' USE='' succeeded for =dev-python/jaraco-collections-3.5.2

FEATURES=' test' USE='' succeeded for =dev-python/objgraph-3.5.0-r1

FEATURES=' test' USE='' succeeded for =dev-python/pytest-services-2.2.1-r1

FEATURES=' test' USE='' succeeded for =dev-python/routes-2.5.1-r2

FEATURES=' test' USE='' succeeded for =dev-python/zc-lockfile-2.0-r1

FEATURES=' test' USE='' succeeded for =media-gfx/xdot-1.2

FEATURES=' test' USE='' succeeded for =dev-python/pylibmc-1.6.3

FEATURES=' test' USE='' succeeded for =dev-python/repoze-lru-0.7-r3

revdep tests started on Sa 22. Okt 14:27:32 CEST 2022

FEATURES=' test' USE='' succeeded for media-gfx/gimp
FEATURES=' test' USE='' succeeded for app-office/scribus
FEATURES=' test' USE='sane_backends_escl' succeeded for media-gfx/sane-backends
FEATURES=' test' USE='pdf' succeeded for mail-client/claws-mail
FEATURES=' test' USE='' succeeded for media-gfx/fbida
FEATURES=' test' USE='pdf' succeeded for sci-libs/gdal
FEATURES=' test' USE='pdf cairo' succeeded for media-gfx/graphviz
FEATURES=' test' USE='pdf' succeeded for media-libs/gegl
FEATURES=' test' USE='latex' succeeded for dev-python/matplotlib
FEATURES=' test' USE='inkscape' succeeded for app-text/dblatex
 FEATURES=' test' failed for media-gfx/inkscape
Comment 35 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2022-10-22 14:54:04 UTC
(In reply to ernsteiswuerfel from comment #34)
> Looking good on ppc64.

Thanks!
Comment 36 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2022-10-22 14:54:40 UTC
ppc64 done

all arches done